%boon
%

clear all; clc;
startintlab;
format long;
format infsup;

syms s1 s2 g1 g2 C1 C2

% The list of the equations:
h1 = s1^2+g1^2 - 1;
h2 = s2^2+g2^2 - 1;
h3 = C1*g1^3+C2*g2^3 - 1.2;
h4 = C1*s1^3+C2*s2^3 - 1.2;
h5 = C1*g1^2*s1+C2*g2^2*s2 - 0.7;
h6 = C1*g1*s1^2+C2*g2*s2^2 - 0.7;

% Constructing the vector
L=[h1,h2,h3,h4,h5,h6];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
% option.fast_eig_ratio=0.01;
option.fast_eig_ratio=0.05;
option.refine=true; 

t =5; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0
output('res_boon_msdp',out,vars,t1);