%cohn3
%
   
clear all; clc;
startintlab;
format long;
format infsup;

syms x y z t

% The list of the equations:
h1 = -x^3*y^2+2*x^2*y^2*z-x^2*y*z^2-144*x^2*y^2-207*x^2*y*z+288*x*y^2*z+78*x*y*z^2+x*z^3-3456*x^2*y-5184*x*y^2-9504*x*y*z-432*x*z^2 -248832*x*y+62208*x*z- 2985984*x;
h2 = -x^3*z*t^2+x^2*z^2*t^2-6*x^3*z*t+4*x^2*z^2*t+32*x^3*t^2-72*x^2*z*t^2-87*x*z^2*t^2-z^3*t^2-8*x^3*z-432*x^2*z*t-414*x*z^2*t+2592*x*z*t^2+864*z^2*t^2-1728*x^2*z-20736*x*z*t+3456*z^2*t-186624*z*t^2- 124416*x*z-1492992*z*t-2985984*z;
h3 = x^2*y*t^3-2*x*y^2*t^3+y^3*t^3+8*x^2*y*t^2-12*x*y^2*t^2+4*y^3*t^2-24*x*y*t^3+24*y^2*t^3+20*x^2*y*t-20*x*y^2*t-160*x*y*t^2+96*y^2*t^2+128*x*t^3+16*x^2*y+96*x*y*t+2304*x*t^2+1152*x*y+13824*x*t+27648*x;
h4 = y^3*t^3-y^2*z*t^3+4*y^3*t^2-2*y^2*z*t^2+72*y^2*t^3+71*y*z*t^3+288*y^2*t^2+360*y*z*t^2+6*z^2*t^2+1728*y*t^3-464*z*t^3+432*y*z*t+8*z^2*t+ 6912*y*t^2-4320*z*t^2+13824*t^3+z^2-13824*z*t+55296*t^2-13824*z;
L=[h1,h2,h3,h4];

% Set the solver
t =3; % t is the order
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.refine=true; 

% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0
output('res_cohn3_msdp',out,vars,t1);