%comb3000
%

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10

% The list of the equations:
h1 = x2 + 2*x6 + x9 + 2*x10 - 1.0E-5;
h2 =  x3 + x8 - 3.0E-5;
h3 = x1 + x3 + 2*x5 + 2*x8 + x9 + x10 - 5.0E-5;
h4 = x4 + 2*x7 - 1.0E-5;
h5 = 0.5140437E-7 * x5 - x1^2;
h6 = 0.1006932E-6 * x6 - x2^2;
h7 =  0.7816278E-15 * x7 - x4^2;
h8 = 0.1496236E-6 * x8 - x1*x3;
h9 = 0.6194411E-7 * x9 - x1*x2;
h10 = 0.2089296E-14 * x10 - x1*x2^2;
L=[h1,h2,h3,h4,h5,h6,h7,h8,h9,h10];

% Set the solver
t =2; % t is the order
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.refine=true; 

% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_comb3000_msdp',out,vars,t1);