%heart
%

clear all; clc;
startintlab;
format long;

syms a b c d t u v w

% The list of the equations:
f1 = a + b - 0.63254;
f2 = c + d + 1.34534;
f3 = t*a + u*b - v*c - w*d + 0.8365348;
f4 = v*a + w*b + t*c + u*d - 1.7345334;
f5 = a*t^2 - a*v^2 - 2*c*t*v + b*u^2 - b*w^2 - 2*d*u*w - 1.352352;
f6 = c*t^2 - c*v^2 + 2*a*t*v + d*u^2 - d*w^2 + 2*b*u*w + 0.843453;
f7 = a*t^3 - 3*a*t*v^2 + c*v^3 - 3*c*v*t^2 + b*u^3 - 3*b*u*w^2 + d*w^3 - 3*d*w*u^2 + 0.9563453;
f8 = c*t^3 - 3*c*t*v^2 - a*v^3 + 3*a*v*t^2 + d*u^3 - 3*d*u*w^2 - b*w^3 + 3*b*w*u^2 - 1.2342523;

% Constructing the vector
L=vpa([f1,f2,f3,f4,f5,f6,f7,f8])

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_heart_homo',out,vars,t1);

