%heart

clear all; clc;
startintlab;
format long;
format infsup;

syms a b c d t u v w

% The list of the equations:
h1 = a + b - 0.63254;
h2 = c + d + 1.34534;
h3 = t*a + u*b - v*c - w*d + 0.8365348;
h4 = v*a + w*b + t*c + u*d - 1.7345334;
h5 = a*t^2 - a*v^2 - 2*c*t*v + b*u^2 - b*w^2 - 2*d*u*w - 1.352352;
h6 = c*t^2 - c*v^2 + 2*a*t*v + d*u^2 - d*w^2 + 2*b*u*w + 0.843453;
h7 = a*t^3 - 3*a*t*v^2 + c*v^3 - 3*c*v*t^2 + b*u^3 - 3*b*u*w^2 + d*w^3 - 3*d*w*u^2 + 0.9563453;
h8 = c*t^3 - 3*c*t*v^2 - a*v^3 + 3*a*v*t^2 + d*u^3 - 3*d*u*w^2 - b*w^3 + 3*b*w*u^2 - 1.2342523;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6,h7,h8];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

% option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_heart_msdp',out,vars,t1);
