%katsura5

clear all; clc;
startintlab;
format long;
format infsup;

syms x y z  t u v

% The list of the equations:
h1 = 2*x^2+2*y^2+2*z^2+2*t^2+2*u^2+v^2-v;
h2 = x*y+y*z+2*z*t+2*t*u+2*u*v-u;
h3 = 2*x*z+2*y*t+2*z*u+u^2+2*t*v-t;
h4 = 2*x*t+2*y*u+2*t*u+2*z*v-z;
h5 = t^2+2*x*v+2*y*v+2*z*v-y;
h6 = 2*x+2*y+2*z+2*t+2*u+v-1;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

% option.refine=true; 

t = 2; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_katsura5_msdp',out,vars,t1);
