%kin1

clear all; clc;
startintlab;
format long;
format infsup;

syms s1 c1 s2 c2 s3 c3 s4 c4 s5 c5 s6 c6 

% The list of the equations:
h1 = s1^2 + c1^2 - 1;
h2 = s2^2 + c2^2 - 1;
h3 = s3^2 + c3^2 - 1;
h4 = s4^2 + c4^2 - 1;
h5 = s5^2 + c5^2 - 1;
h6 = s6^2 + c6^2 - 1;
h7 = s2*c5*s6 - s3*c5*s6 - s4*c5*s6 + c2*c6 + c3*c6 + c4*c6 - 0.4077;
h8 = c1*c2*s5 + c1*c3*s5 + c1*c4*s5 + s1*c5 - 1.9115;
h9 = s2*s5 + s3*s5 + s4*s5 - 1.9791;
h10 = c1*c2 + c1*c3 + c1*c4 + c1*c2 + c1*c3 + c1*c2 - 4.0616;
h11 = s1*c2 + s1*c3 + s1*c4 + s1*c2 + s1*c3 + s1*c2 - 1.7172;
h12 = s2 + s3 + s4 + s2 + s3 + s2 - 3.9701;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6,h7,h8,h9,h10,h11,h12];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
% option.fast_eig_ratio=0.01;
option.fast_eig_ratio=0.05;

option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_kin1_msdp',out,vars,t1);
