%puma

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 x5 x6 x7 x8

% The list of the equations:
h1 = x1^2 + x2^2 - 1;
h2 = x3^2 + x4^2 - 1;
h3 = x5^2 + x6^2 - 1;
h4 = x7^2 + x8^2 - 1;
h5 = 0.004731*x1*x3 - 0.3578*x2*x3 - 0.1238*x1 - 0.001637*x2 - 0.9338*x4 + x7 - 0.3571;
h6 = 0.2238*x1*x3 + 0.7623*x2*x3 + 0.2638*x1 - 0.07745*x2 -0.6734*x4 -0.6022;
h7 = x6*x8 + 0.3578*x1 + 0.004731*x2;
h8 = -0.7623*x1 + 0.2238*x2 + 0.3461;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6,h7,h8];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
% option.fast_eig_ratio=0.01;
option.fast_eig_ratio=0.05;

% option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_puma_msdp',out,vars,t1);
