%rbpl
%

clear all; clc;
startintlab;
format long;

syms u v w b a c 

% The list of the equations:
f1 = u^2 + v^2 + w^2 - 1.0;
f2 = - 12.0*b - 4.0*a + 4.0*c + 4.0*a*b + 4.0*a*c + 4.0*b*c + a^2 + 5.0*b^2 + 13.0*c^2 + 8.0*w + 2.0*u + 9.0 + 8.0*a*c*u+ 8.0*a*c*w + 8.0*b*a*v + 8.0*b*c*v + 2.0*u*a^2 - 6.0*u*b^2 - 6.0*u*c^2 + 2.0*v*a^2 + 2.0*v*b^2 + 2.0*v*c^2 + 8.0*w*c^2 + 8.0*b*u + 8.0*c*v - 8.0*a*v - 8.0*b*w + 2.0*v;
f3 =  8.860 - 6.0*b + 2.0*a + 4.0*a*b*u + 6.0*c - 6.0*a*b - 6.0*a*c + 6.0*b*c + 2.860*a^2 + 4.860*b^2 + 6.860*c^2 + 4.0*w - 3.0*u + 4.0*b*c*w + 4.0*a*w - 4.0*c*u + 4.0*a*c*u + 4.0*b*c*v - 3.0*u*a^2 - 3.0*u*b^2 - 3.0*u*c^2 - 1.0*v*a^2 + 3.0*v*b^2 - 1.0*v*c^2 + 4.0*w*c^2 + 4.0*b*u - 4.0*a*v + 3.0*v;
f4 = - 2.0*b + 2.0*a + 2.0*c + 2.0*a*b - 10.0*a*c - 2.0*b*c + 3.5*a^2 - 2.5*b^2 + 1.5*c^2 + 4.0*w - 5.0*u + 7.5 + 4.0*a*c*u - 4.0*a*c*w - 4.0*b*a*v + 4.0*b*c*v - 5.0*u*a^2 - 1.0*u*b^2 - 1.0*u*c^2 - 1.0*v*a^2 - 1.0*v*b^2 - 1.0*v*c^2 + 4.0*w*c^2 + 4.0*b*u - 4.0*c*v - 4.0*a*v + 4.0*b*w - 1.0*v;
f5 = - 4.0*a - 4.0*a*b*u - 1.333333333*c + 1.333333333*a*b - 4.0*b*c - 1.638888889*a^2 + 0.361111111*b^2 - 1.638888889*c^2 + 2.0*w - 0.6666666667*u - 4.0*b*c*w - 4.0*a*w + 0.361111111 + 2.0*w*b^2 + 2.0*w*a^2 + 4.0*c*u- 0.6666666667*u*a^2 - 0.6666666667*u*b^2 - 0.6666666667*u*c^2 + v*a^2 - 3.0*v*b^2 + v*c^2 + 2.0*w*c^2 - 3.0*v;
f6 = - 8.0*b + 4.0*a*b*u + 8.0*c - 8.0*a*b - 8.0*a*c + 8.0*b^2 + 8.0*c^2 + 2.0*w - 2.0*u + 4.0*b*c*w + 4.0*a*w - 2.0*w*b^2 - 2.0*w*a^2 - 4.0*c*u + 4.0*a*c*u + 4.0*a*c*w + 4.0*b*a*v + 4.0*b*c*v - 2.0*u*a^2 - 6.0*u*b^2 - 6.0*u*c^2 - 2.0*v*a^2 + 2.0*v*b^2 - 2.0*v*c^2 + 2.0*w*c^2 + 4.0*b*u + 4.0*c*v - 4.0*a*v - 4.0*b*w + 2.0*v;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_rbpl_homo',out,vars,t1);

