%redeco5

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 u5

% The list of the equations:
h1 = x1 + x1*x2 + x2*x3 + x3*x4 -   u5;
h2 =              x2 + x1*x3 + x2*x4 - 2*u5;
h3 =                             x3 + x1*x4 - 3*u5;
h4 =                                            x4 - 4*u5;
h5 =                       x1 + x2 + x3 + x4 + 1;
% Constructing the vector
L=[h1,h2,h3,h4,h5];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

% option.refine=true; 

t = 2; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_redeco5_msdp',out,vars,t1);
