%reimer5

clear all; clc;
startintlab;
format long;
format infsup;

syms x y z u t

% The list of the equations:
h1 = -1 + 2*x^2 - 2*y^2 + 2*z^2 - 2*t^2 + 2*u^2;
h2 = -1 + 2*x^3 - 2*y^3 + 2*z^3 - 2*t^3 + 2*u^3;
h3 = -1 + 2*x^4 - 2*y^4 + 2*z^4 - 2*t^4 + 2*u^4;
h4 = -1 + 2*x^5 - 2*y^5 + 2*z^5 - 2*t^5 + 2*u^5;
h5 = -1 + 2*x^6 - 2*y^6 + 2*z^6 - 2*t^6 + 2*u^6;
% Constructing the vector
L=[h1,h2,h3,h4,h5];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=1e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

option.refine=true; 

t = 4; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0
output('res_reimer5_msdp',out,vars,t1);
